package com.test.dubbo.consumer;

import com.test.dubbo.business.HelloService;
import org.apache.dubbo.config.annotation.Reference;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
public class ConsumerApplicationTests {

	@Reference
	HelloService helloService;

	@Test
	public void contextLoads() {
		String hello = helloService.hello();
		System.out.println(hello);
	}

}
